org.apache.ignite

## Interface DataStorageMetrics

- All Known Subinterfaces:
    DataStorageMetricsMXBean

  Deprecated.
  Check the `ReadOnlyMetricRegistry` with "name=io.datastorage" instead.

      @Deprecated
      public interface DataStorageMetrics

  Data storage metrics are used to obtain statistics on persistent store and whole data storage.
  See Also:
    `ReadOnlyMetricManager`, `ReadOnlyMetricRegistry`, `JmxMetricExporterSpi`, `MetricExporterSpi`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getCheckpointBufferSize()` Deprecated. Checkpoint buffer size in bytes.
    `long` | `getCheckpointTotalTime()` Deprecated. Total checkpoint time from last restart.
    `long` | `getDirtyPages()` Deprecated. Total dirty pages for the next checkpoint.
    `long` | `getLastCheckpointCopiedOnWritePagesNumber()` Deprecated. Gets the number of pages copied to a temporary checkpoint buffer during the last checkpoint.
    `long` | `getLastCheckpointDataPagesNumber()` Deprecated. Gets the number of data pages written during the last checkpoint.
    `long` | `getLastCheckpointDuration()` Deprecated. Gets the duration of the last checkpoint in milliseconds.
    `long` | `getLastCheckpointFsyncDuration()` Deprecated. Gets the duration of the sync phase of the last checkpoint in milliseconds.
    `long` | `getLastCheckpointLockWaitDuration()` Deprecated. Gets the duration of last checkpoint lock wait in milliseconds.
    `long` | `getLastCheckpointMarkDuration()` Deprecated. Gets the duration of last checkpoint mark phase in milliseconds.
    `long` | `getLastCheckpointPagesWriteDuration()` Deprecated. Gets the duration of last checkpoint pages write phase in milliseconds.
    `long` | `getLastCheckpointStarted()` Deprecated. Returns time when the last checkpoint was started.
    `long` | `getLastCheckpointTotalPagesNumber()` Deprecated. Gets the total number of pages written during the last checkpoint.
    `long` | `getOffHeapSize()` Deprecated. Total offheap size in bytes.
    `long` | `getOffheapUsedSize()` Deprecated. Total used offheap size in bytes.
    `long` | `getPagesRead()` Deprecated. The number of read pages from last restart.
    `long` | `getPagesReplaced()` Deprecated. The number of replaced pages from last restart.
    `long` | `getPagesWritten()` Deprecated. The number of written pages from last restart.
    `long` | `getSparseStorageSize()` Deprecated. Storage space allocated adjusted for possible sparsity in bytes.
    `long` | `getStorageSize()` Deprecated. Storage space allocated in bytes.
    `long` | `getTotalAllocatedSize()` Deprecated. Total size of memory allocated in bytes.
    `long` | `getUsedCheckpointBufferPages()` Deprecated. Gets used checkpoint buffer size in pages.
    `long` | `getUsedCheckpointBufferSize()` Deprecated. Gets used checkpoint buffer size in bytes.
    `int` | `getWalArchiveSegments()` Deprecated. Gets the current number of WAL segments in the WAL archive.
    `long` | `getWalBuffPollSpinsRate()` Deprecated. Returns WAL buffer poll spins number over the last time interval.
    `long` | `getWalCompressedBytes()` Deprecated. Getting the total size of the compressed segments in bytes.
    `float` | `getWalFsyncTimeAverage()` Deprecated. Gets the average WAL fsync duration in microseconds over the last time interval.
    `long` | `getWalLastRollOverTime()` Deprecated. Time of the last WAL segment rollover.
    `float` | `getWalLoggingRate()` Deprecated. Gets the average number of WAL records per second written during the last time interval.
    `long` | `getWalTotalSize()` Deprecated. Total size in bytes for storage wal files.
    `float` | `getWalWritingRate()` Deprecated. Gets the average number of bytes per second written during the last time interval.
    `long` | `getWalWrittenBytes()` Deprecated. Getting the total number of logged bytes into the WAL.

- - ### Method Detail

    - #### getWalLoggingRate

          float getWalLoggingRate()

      Deprecated.
      Gets the average number of WAL records per second written during the last time interval.

      The length of time interval is configured via `DataStorageConfiguration.setMetricsRateTimeInterval(long)` configuration property. The number of subintervals is configured via `DataStorageConfiguration.setMetricsSubIntervalCount(int)` configuration property.

    - #### getWalWritingRate

          float getWalWritingRate()

      Deprecated.
      Gets the average number of bytes per second written during the last time interval. The length of time interval is configured via `DataStorageConfiguration.setMetricsRateTimeInterval(long)` configuration property. The number of subintervals is configured via `DataStorageConfiguration.setMetricsSubIntervalCount(int)` configuration property.

    - #### getWalArchiveSegments

          int getWalArchiveSegments()

      Deprecated.
      Gets the current number of WAL segments in the WAL archive.

    - #### getWalFsyncTimeAverage

          float getWalFsyncTimeAverage()

      Deprecated.
      Gets the average WAL fsync duration in microseconds over the last time interval.

      The length of time interval is configured via `DataStorageConfiguration.setMetricsRateTimeInterval(long)` configuration property. The number of subintervals is configured via `DataStorageConfiguration.setMetricsSubIntervalCount(int)` configuration property.

    - #### getWalBuffPollSpinsRate

          long getWalBuffPollSpinsRate()

      Deprecated.
      Returns WAL buffer poll spins number over the last time interval.

      The length of time interval is configured via `DataStorageConfiguration.setMetricsRateTimeInterval(long)` configuration property. The number of subintervals is configured via `DataStorageConfiguration.setMetricsSubIntervalCount(int)` configuration property.

    - #### getWalTotalSize

          long getWalTotalSize()

      Deprecated.
      Total size in bytes for storage wal files.
      Returns:
        Total size in bytes for storage wal files.

    - #### getWalLastRollOverTime

          long getWalLastRollOverTime()

      Deprecated.
      Time of the last WAL segment rollover.
      Returns:
        Time of the last WAL segment rollover.

    - #### getCheckpointTotalTime

          long getCheckpointTotalTime()

      Deprecated.
      Total checkpoint time from last restart.
      Returns:
        Total checkpoint time from last restart.

    - #### getLastCheckpointDuration

          long getLastCheckpointDuration()

      Deprecated.
      Gets the duration of the last checkpoint in milliseconds.
      Returns:
        Total checkpoint duration in milliseconds.

    - #### getLastCheckpointStarted

          long getLastCheckpointStarted()

      Deprecated.
      Returns time when the last checkpoint was started.
      Returns:
        Time when the last checkpoint was started.

    - #### getLastCheckpointLockWaitDuration

          long getLastCheckpointLockWaitDuration()

      Deprecated.
      Gets the duration of last checkpoint lock wait in milliseconds.
      Returns:
        Checkpoint lock wait time in milliseconds.

    - #### getLastCheckpointMarkDuration

          long getLastCheckpointMarkDuration()

      Deprecated.
      Gets the duration of last checkpoint mark phase in milliseconds.
      Returns:
        Checkpoint mark duration in milliseconds.

    - #### getLastCheckpointPagesWriteDuration

          long getLastCheckpointPagesWriteDuration()

      Deprecated.
      Gets the duration of last checkpoint pages write phase in milliseconds.
      Returns:
        Checkpoint pages write phase in milliseconds.

    - #### getLastCheckpointFsyncDuration

          long getLastCheckpointFsyncDuration()

      Deprecated.
      Gets the duration of the sync phase of the last checkpoint in milliseconds.
      Returns:
        Checkpoint fsync time in milliseconds.

    - #### getLastCheckpointTotalPagesNumber

          long getLastCheckpointTotalPagesNumber()

      Deprecated.
      Gets the total number of pages written during the last checkpoint.
      Returns:
        Total number of pages written during the last checkpoint.

    - #### getLastCheckpointDataPagesNumber

          long getLastCheckpointDataPagesNumber()

      Deprecated.
      Gets the number of data pages written during the last checkpoint.
      Returns:
        Total number of data pages written during the last checkpoint.

    - #### getLastCheckpointCopiedOnWritePagesNumber

          long getLastCheckpointCopiedOnWritePagesNumber()

      Deprecated.
      Gets the number of pages copied to a temporary checkpoint buffer during the last checkpoint.
      Returns:
        Total number of pages copied to a temporary checkpoint buffer during the last checkpoint.

    - #### getDirtyPages

          long getDirtyPages()

      Deprecated.
      Total dirty pages for the next checkpoint.
      Returns:
        Total dirty pages for the next checkpoint.

    - #### getPagesRead

          long getPagesRead()

      Deprecated.
      The number of read pages from last restart.
      Returns:
        The number of read pages from last restart.

    - #### getPagesWritten

          long getPagesWritten()

      Deprecated.
      The number of written pages from last restart.
      Returns:
        The number of written pages from last restart.

    - #### getPagesReplaced

          long getPagesReplaced()

      Deprecated.
      The number of replaced pages from last restart.
      Returns:
        The number of replaced pages from last restart.

    - #### getOffHeapSize

          long getOffHeapSize()

      Deprecated.
      Total offheap size in bytes.
      Returns:
        Total offheap size in bytes.

    - #### getOffheapUsedSize

          long getOffheapUsedSize()

      Deprecated.
      Total used offheap size in bytes.
      Returns:
        Total used offheap size in bytes.

    - #### getTotalAllocatedSize

          long getTotalAllocatedSize()

      Deprecated.
      Total size of memory allocated in bytes.
      Returns:
        Total size of memory allocated in bytes.

    - #### getUsedCheckpointBufferPages

          long getUsedCheckpointBufferPages()

      Deprecated.
      Gets used checkpoint buffer size in pages.
      Returns:
        Checkpoint buffer size in pages.

    - #### getUsedCheckpointBufferSize

          long getUsedCheckpointBufferSize()

      Deprecated.
      Gets used checkpoint buffer size in bytes.
      Returns:
        Checkpoint buffer size in bytes.

    - #### getCheckpointBufferSize

          long getCheckpointBufferSize()

      Deprecated.
      Checkpoint buffer size in bytes.
      Returns:
        Checkpoint buffer size in bytes.

    - #### getStorageSize

          long getStorageSize()

      Deprecated.
      Storage space allocated in bytes.
      Returns:
        Storage space allocated in bytes.

    - #### getSparseStorageSize

          long getSparseStorageSize()

      Deprecated.
      Storage space allocated adjusted for possible sparsity in bytes. May produce unstable or even incorrect result on some file systems (e.g. XFS). Known to work correctly on Ext4 and Btrfs.
      Returns:
        Storage space allocated adjusted for possible sparsity in bytes or negative value is not supported.

    - #### getWalWrittenBytes

          long getWalWrittenBytes()

      Deprecated.
      Getting the total number of logged bytes into the WAL.
      Returns:
        Number of bytes.

    - #### getWalCompressedBytes

          long getWalCompressedBytes()

      Deprecated.
      Getting the total size of the compressed segments in bytes.
      Returns:
        Number of bytes.

2021 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.11.0
Release Date | : September 11 2021